搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

Found that Firefox 53.2.0 is available for XP but the link on that page to download only offer v.57. I'm trying to download on a Linux machine w/v.57.

  • 5 回覆
  • 1 有這個問題
  • 44562 次檢視
  • 最近回覆由 b-wallen

more options

Found existing message that Firefox 53.2.0 is available for XP, but the download link on the page only offers v. 57. I'm trying to download on a Linux machine that is running v.40 which I will update, but still need the version for XP. The XP machine is airgapped so can't download directly.

被選擇的解決方法

b-wallen said

James said
b-wallen said
Found existing message that Firefox 53.2.0 is available for XP, but the download link on the page only offers v. 57. I'm trying to download on a Linux machine that is running v.40 which I will update, but still need the version for XP. The XP machine is airgapped so can't download directly.

Firefox 53.0 and later including 57.0.x has dropped support of the EOL WinXP/Vista. For WinXP/Vista you can use the Firefox 52 ESR where the current is 52.5.3esr. https://www.mozilla.org/firefox/organizations/all/

For Windows 7,8. 10 + Mac OSX 10.9, and Linux users you can download Firefox 57 (current is 57.0.3) from www.mozilla.org/firefox/all/

Downloaded 52.5.3esr and tried to install it. Here is the err msg:

"Sorry, Firefox can't be installed. This version of Firefox requires Microsoft Window 7 x64 or newer. Please click the OK button for additional information."

The machine for installation is airgapped with no internet connection, so clicking OK only produces a Server not found msg.

Hmm missed my edit. It looks like you downloaded the 64-bit version and not the 32-bit version for Windows.

The 64-bit (Win64) Firefox builds requires 64-bit Windows 7,8,10. The 32-bit version of Firefox 52 ESR works on 32-bit and 64-bit Windows WinXP, Vista, 7,8,10.

從原來的回覆中察看解決方案 👍 1

所有回覆 (5)

more options

Why go to 53 when is insecure, outdated when can get 52.5.3 ESR. It will continue to get security updates until May 2018, and you can download and install it from this page: *https://www.mozilla.org/en-US/firefox/organizations/all/ a compile for Linux on the page. Note : Legacy Extensions will be deleted or removed in any version update after May 2018. You should make a backup of your Profile before going back and just because:

Please let us know if this solved your issue or if need further assistance.

more options

b-wallen said

Found existing message that Firefox 53.2.0 is available for XP, but the download link on the page only offers v. 57. I'm trying to download on a Linux machine that is running v.40 which I will update, but still need the version for XP. The XP machine is airgapped so can't download directly.

Firefox 53.0 and later including 57.0.x has dropped support of the EOL WinXP/Vista. For WinXP/Vista you can use the Firefox 52 ESR where the current is 52.5.3esr. https://www.mozilla.org/firefox/organizations/all/

For Windows 7,8,10, Mac OSX 10.9+, and Linux users you can download Firefox 57 (current is 57.0.3) from www.mozilla.org/firefox/all/

For WInXP/Vista you should get 32-bit Firefox 52 ESR (52.5.3esr) for Windows. The 64-bit Firefox builds for Windows will not work on WinXP/Vista.

由 James 於 修改

more options

James said

b-wallen said
Found existing message that Firefox 53.2.0 is available for XP, but the download link on the page only offers v. 57. I'm trying to download on a Linux machine that is running v.40 which I will update, but still need the version for XP. The XP machine is airgapped so can't download directly.

Firefox 53.0 and later including 57.0.x has dropped support of the EOL WinXP/Vista. For WinXP/Vista you can use the Firefox 52 ESR where the current is 52.5.3esr. https://www.mozilla.org/firefox/organizations/all/

For Windows 7,8. 10 + Mac OSX 10.9, and Linux users you can download Firefox 57 (current is 57.0.3) from www.mozilla.org/firefox/all/

Downloaded 52.5.3esr and tried to install it. Here is the err msg:

"Sorry, Firefox can't be installed. This version of Firefox requires Microsoft Window 7 x64 or newer. Please click the OK button for additional information."

The machine for installation is airgapped with no internet connection, so clicking OK only produces a Server not found msg.

more options

選擇的解決方法

b-wallen said

James said
b-wallen said
Found existing message that Firefox 53.2.0 is available for XP, but the download link on the page only offers v. 57. I'm trying to download on a Linux machine that is running v.40 which I will update, but still need the version for XP. The XP machine is airgapped so can't download directly.

Firefox 53.0 and later including 57.0.x has dropped support of the EOL WinXP/Vista. For WinXP/Vista you can use the Firefox 52 ESR where the current is 52.5.3esr. https://www.mozilla.org/firefox/organizations/all/

For Windows 7,8. 10 + Mac OSX 10.9, and Linux users you can download Firefox 57 (current is 57.0.3) from www.mozilla.org/firefox/all/

Downloaded 52.5.3esr and tried to install it. Here is the err msg:

"Sorry, Firefox can't be installed. This version of Firefox requires Microsoft Window 7 x64 or newer. Please click the OK button for additional information."

The machine for installation is airgapped with no internet connection, so clicking OK only produces a Server not found msg.

Hmm missed my edit. It looks like you downloaded the 64-bit version and not the 32-bit version for Windows.

The 64-bit (Win64) Firefox builds requires 64-bit Windows 7,8,10. The 32-bit version of Firefox 52 ESR works on 32-bit and 64-bit Windows WinXP, Vista, 7,8,10.

由 James 於 修改

more options

James, the 32-bit version works perfectly. Thanks for the help.

Brian